Gulp cannot be installed under win10

  node.js, question

Under the newly installed win10 system, Node.js with the latest version of 4.4.0 is installed.
This prompt appears when you continue to install npm install -g gulp.

图片描述

When I tried to replace npm source with Taobao, I was prompted like this (npm version 2.14.20)

图片描述

Google has not found the answer for a long time. I think I am not the only one who has encountered the same problem. Please ask friends who have encountered the same problem for help.

There is no problem, it has been installed and can be used.

As a programmer, one should learn to ignore warnings→_→